<?php $this->load->view('layouts/header') ?>
<?php $this->load->view('layouts/sidemenu') ?>
    <style>
        .select2-results__option[aria-selected=true] {
            display: none;
        }
    </style>

    <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
            <h1>
                Edit Question

            </h1>
            <ol class="breadcrumb">
                <li><a href="<?= base_url() ?>"><i class="fa fa-dashboard"></i> Home</a></li>
                <li><a href="<?= base_url().'adminpanel/questions' ?>"><i class="fa fa-plus"></i> Questions</a></li>
                <li class="active">Edit Questions</li>
            </ol>
        </section>

        <!-- Main content -->
        <section class="content">

            <!-- Default box --><div class="row">
                <div class="col-md-12">
                    <?php  if(isset($error)){ echo $error; }
                    echo $this->session->flashdata('success_req'); ?>
                    <!-- general form elements -->
                    <div class="box box-primary">
                        <div class="box-header">

                        </div><!-- /.box-header -->
                        <!-- form start -->
                        <form action="" method="post" enctype="multipart/form-data">
                            <div class="box-body">


                                <div class="form-group">
                                    <label class="">  Question<span class="text-danger">*</span></label>
                                    <textarea name="question" placeholder="Question" class="form-control"><?=set_value('question',$question['question']) ?></textarea></div>

                                <div class="form-group">
                                    <label class="">  Answer <span class="text-danger">*</span></label>
                                    <input type="text" name="answer" value="<?= set_value('answer',$question['answer']) ?>" class="form-control" placeholder="Answer"/>
                                </div>

                                <div class="form-group ">
                                    <label class="">  Categories <span class="text-danger">*</span></label>
                                    <?php
                                    $cat = array();
                                    foreach ($catlist as $category) {
                                        $cat[$category['id']] = $category['name'];
                                    }
                                    $selected = explode(',',$question['category_id']);
                                    echo form_multiselect('category[]', $cat, $selected, 'class="form-control select2" id="category" placeholder="Select Category" required="required" style="width:100%"')
                                    ?>
                                </div>

                                <div class="form-group ">
                                    <label class="">  Hints (multiple separated by ~)</label>
                                    <textarea name="hints" placeholder="Hints" class="form-control"><?=set_value('hints',$question['hints']) ?></textarea></div>
                                </div>

                                <div class="form-group ">
                                    <label class="">  Notes (multiple separated by ~)</label>
                                    <textarea name="notes" placeholder="Question" class="form-control"><?=set_value('notes',$question['notes']) ?></textarea></div>
                                </div>



                            </div><!-- /.box-body -->

                            <div class="box-footer">
                                <input type="submit" class="btn btn-primary" name="addcatg" value="Update" />

                            </div>
                        </form>
                    </div><!-- /.box -->
                </div>
            </div>

        </section>

        <!-- /.content -->
    </div>
    <!-- /.content-wrapper -->
<?php $this->load->view('layouts/footer') ?>