<?php $this->load->view('layouts/header') ?>
<?php $this->load->view('layouts/sidemenu') ?>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Products

        </h1>
        <ol class="breadcrumb">
            <li><a href="<?= base_url() ?>"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Products</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
        <div class="box"> <?php  if(isset($error)){ echo $error; }
            echo $this->session->flashdata('success_req');
            echo $this->session->flashdata('error_req'); ?>
            <div class="box-header with-border">
                <h3 class="box-title">All Products</h3>
                <a class="pull-right btn btn-primary" href="<?php echo site_url("adminpanel/addproduct"); ?>">ADD</a>
            </div>
            <div class="box-body">
                <div class="table-responsive">
                    <table id="catTab" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th class="text-center"> Id# </th>
                            <th>  Name</th>
                            <th>  Description</th>
                            <th>  Price</th>
                            <th>  URL</th>
                            <th>  Status</th>
                            <th>  Image</th>
                            <th>  Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php if(count($products)> 0 ) { foreach($products as $acat){ ?>
                            <tr>
                                <td class="text-center"><?php echo $acat['id']; ?></td>
                                <td><?php echo $acat['name']; ?></td>
                                <td><?php   if($acat['description'] !=""){  echo $acat['description']; }else { echo "________"; }?></td>
                                <td><?php echo $acat['price']; ?></td>
                                <td><?php echo $acat['url']; ?></td>
                                <td><?php echo $acat['product_status']; ?></td>
                                <td><?php if($acat['image']!=""){ ?><div class="cat-img" style="width: 50px; height: 50px;"><img width="100%" height="100%" src="<?= $acat['image']; ?>" /></div> <?php } ?></td>
                               <td>
                                        <?php echo anchor('adminpanel/editproduct/'.$acat['id'], '<i class="fa fa-edit"></i> Edit', array("class"=>"btn btn-default")); ?>
                                        <?php echo anchor('adminpanel/deleteproduct/'.$acat['id'], '<i class="fa fa-times"></i> Delete', array("class"=>"btn btn-danger", "onclick"=>"return confirm('Are you sure delete?')")); ?>
                                </td>
                            </tr>
                        <?php } } ?>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->

            </div>
        </div>
    </section>

                <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<?php $this->load->view('layouts/footer') ?>
<script>
    $('#catTab').DataTable({
        "order": [[ 0, "desc" ]],
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false
    });
</script>