<?php $this->load->view('layouts/header') ?>
<?php $this->load->view('layouts/sidemenu') ?>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Questions

        </h1>
        <ol class="breadcrumb">
            <li><a href="<?= base_url() ?>"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Questions</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
        <div class="box">
            <?php  if(isset($error)){ echo $error; }
            echo $this->session->flashdata('success_req'); ?>
            <div class="box-header with-border">
                <h3 class="box-title">All Questions</h3>
                <div class="pull-right">
                   <a class="btn btn-primary" href="<?php echo site_url("adminpanel/addquestion"); ?>">ADD</a>&nbsp;<a class="btn btn-warning" href="<?php echo site_url("adminpanel/importquestions"); ?>">Import</a>

                   <a class="btn btn-danger" href="#" id="mass_delete_button">Mass Delete</a>
                </div>

            </div>
            <div class="box-body">
                <div class="table-responsive">
                    <p class="help-block">Note:Multiples in hints,notes is separated by ~</p>
                    <table id="catTab" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th class="text-center"><input type="checkbox" name="select_all" value="1" id="example-select-all"></th>
                            <th>  Question</th>
                            <th>  Answer</th>
                            <th>  Category</th>
                            <th>  Hints</th>
                            <th>  Notes</th>
                            <th>  Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php if(count($questions)> 0 ) { foreach($questions as $acat){ ?>
                            <tr>
                                <td class="text-center"><?php echo $acat['question_id']; ?></td>
                                <td><?php echo $acat['question']; ?></td>
                                <td><?php echo $acat['answer']; ?></td>
                                <td><?php echo $acat['category_name']; ?></td>
                                <td><?php echo $acat['hints']; ?></td>
                                <td><?php echo $acat['notes']; ?></td>
                                <td>
                                    <?php echo anchor('adminpanel/editquestion/'.$acat['question_id'], '<i class="fa fa-edit"></i> Edit', array("class"=>"btn btn-default")); ?>

                                    <?php echo anchor('adminpanel/deletequestion/'.$acat['question_id'], '<i class="fa fa-times"></i> Delete', array("class"=>"btn btn-danger", "onclick"=>"return confirm('Are you sure delete?')")); ?>
                                </td>
                            </tr>
                        <?php } } ?>
                        </tbody>
                    </table>

                    <form action="<?php echo site_url('adminpanel/massdeletequestions') ?>" method="post" id="massdeletequestions_form">
                        <input type="hidden" name="question_ids" id="question_ids">
                    </form>
                </div><!-- /.box-body -->

            </div>
        </div>
    </section>

    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<?php $this->load->view('layouts/footer') ?>
<script>
    var table = $('#catTab').DataTable({
         'columnDefs': [{
         'targets': 0,
         'searchable': false,
         'orderable': false,
         'className': 'dt-body-center',
         'render': function (data, type, full, meta){
             return '<input type="checkbox" name="id[]" value="' + $('<div/>').text(data).html() + '">';
         }
      }],
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false,
        "pageLength": 50
        /*"columnDefs" : [
            {
                "targets" : [0],
                "orderable" :false
            }
            ]*/
    });

    // Handle click on "Select all" control
   $('#example-select-all').on('click', function(){
      // Get all rows with search applied
      var rows = table.rows({ 'search': 'applied' }).nodes();
      // Check/uncheck checkboxes for all rows in the table
      $('input[type="checkbox"]', rows).prop('checked', this.checked);
   });

   // Handle click on checkbox to set state of "Select all" control
   $('#example tbody').on('change', 'input[type="checkbox"]', function(){
      // If checkbox is not checked
      if(!this.checked){
         var el = $('#example-select-all').get(0);
         // If "Select all" control is checked and has 'indeterminate' property
         if(el && el.checked && ('indeterminate' in el)){
            // Set visual state of "Select all" control
            // as 'indeterminate'
            el.indeterminate = true;
         }
      }
   });

   $("#mass_delete_button").click(function(event){
    event.preventDefault();
    var searchIDs = $("#catTab input:checkbox:checked").map(function(){
      return $(this).val();
    }).get(); // <----
    var mass = confirm("Are you sure want to delete selected?");
    if(mass){
        $('#question_ids').val(searchIDs);
        $('#massdeletequestions_form').submit();
    }

});


</script>