<?php $this->load->view('layouts/header') ?>
<?php $this->load->view('layouts/sidemenu') ?>

<div class="content-wrapper">
    <!-- Content Header (Page header) -->
    <!-- Content Header (Page header) -->
    <section class="content-header">
        <h1>
            Reports

        </h1>
        <ol class="breadcrumb">
            <li><a href="<?= base_url() ?>"><i class="fa fa-dashboard"></i> Home</a></li>
            <li class="active">Reports</li>
        </ol>
    </section>

    <!-- Main content -->
    <section class="content">

        <!-- Default box -->
        <div class="box"> <?php  if(isset($error)){ echo $error; }
            echo $this->session->flashdata('success_req');
            echo $this->session->flashdata('error_req'); ?>
            <div class="box-header with-border">
                <h3 class="box-title">All Reports</h3>

            </div>
            <div class="box-body">
                <div class="table-responsive">
                    <table id="catTab" class="table table-bordered table-striped">
                        <thead>
                        <tr>
                            <th class="text-center"> Id# </th>
                            <th class="text-center"> Question </th>
                            <th>  User</th>
                            <th>  Report</th>
                            <th>  Report time</th>
                            <th>  Actions</th>
                        </tr>
                        </thead>
                        <tbody>
                        <?php if(count($reports)> 0 ) { foreach($reports as $acat){ ?>
                            <tr>
                                <td class="text-center"><?php echo $acat['note_id']; ?></td>
                                <td><?php echo $acat['question']; ?></td>
                                <td><?php echo $acat['name'] .' - '.$acat['email'] ;   ?></td>
                                <td><?php echo $acat['note']; ?></td>
                                <td><?php echo $acat['created_at']; ?></td>
                                <td>
                                    <?php echo anchor('adminpanel/editquestion/'.$acat['question_id'], '<i class="fa fa-edit"></i> Edit Question', array("class"=>"btn btn-default")); ?>
                                    <?php echo anchor('adminpanel/deletequestionreport/'.$acat['note_id'], '<i class="fa fa-times"></i> Delete', array("class"=>"btn btn-danger", "onclick"=>"return confirm('Are you sure to delete this report?')")); ?>
                                </td>
                            </tr>
                        <?php } } ?>
                        </tbody>
                    </table>
                </div><!-- /.box-body -->

            </div>
        </div>
    </section>
    <!-- /.content -->
</div>
<!-- /.content-wrapper -->
<?php $this->load->view('layouts/footer') ?>
