<?php defined('BASEPATH') OR exit('No direct script access allowed');

use PHPMailer\PHPMailer\PHPMailer as PHPMailer;


 function emailSender($data = array()){

    $ci = & get_instance();
    $ci->load->config('config_emails');

    $mail = new PHPMailer();
    $mail->SMTPDebug = 0;
    $mail->isSMTP();
    $mail->Host = 'localhost';
    $mail->SMTPAuth = false;
    $mail->SMTPOptions = array(
        'ssl' => array(
            'verify_peer' => false,
            'verify_peer_name' => false,
            'allow_self_signed' => true
        )
    );
    $mail->From = (isset($data['from_email'])) ? $data['from_email'] : $ci->config->item('default_email');
    $mail->FromName = (isset($data['from_name'])) ? $data['from_name'] :  'Flashcard  Mailer';
     $mail->Subject = $data['subject'];


    foreach ($data['to_address'] as $to_address) {
        $mail->addAddress($to_address);
    }
    $mail->msgHTML($data['html']);


    //send the message, check for errors
    if (!$mail->send()) {
        echo 'Mailer Error: ' . $mail->ErrorInfo;
    } else {
        return true;
    }
    return false;

}