<?php $this->load->view('layouts/header') ?>
<?php $this->load->view('layouts/sidemenu') ?>

    <style>
    .chat
{
    list-style: none;
    margin: 0;
    padding: 0;
}

.chat li
{
    margin-bottom: 10px;
    padding-bottom: 5px;
    border-bottom: 1px dotted #B3A9A9;
}

.chat li.left .chat-body
{
    margin-left: 60px;
}

.chat li.right .chat-body
{
    margin-right: 60px;
}


.chat li .chat-body p
{
    margin: 0;
    color: #777777;
}

.panel .slidedown .glyphicon, .chat .glyphicon
{
    margin-right: 5px;
}

.panel-body
{
    overflow-y: scroll;
    height: 250px;
}

::-webkit-scrollbar-track
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #F5F5F5;
}

::-webkit-scrollbar
{
    width: 12px;
    background-color: #F5F5F5;
}

::-webkit-scrollbar-thumb
{
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,.3);
    background-color: #555;
}
</style>


 

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">

                <!-- Content Header (Page header) -->
                 <section class="content-header">
                    <h1>
                       <h1>
            <?php echo $this->lang->line("Admin");?>
            <small><?php echo "Messages";?></small>
          </h1>
                    </h1>
                    <ol class="breadcrumb">
                        <li><a href="#"><i class="fa fa-dashboard"></i> <?php echo $this->lang->line("Admin");?></a></li>
                        <li><a href="<?php echo site_url('adminpanel/messages')  ?>"><?php echo "Messages";?></a></li>
                        <li class="active"><?php echo "Messages for User # ".$this->uri->segment(3);?></li>
                    </ol>
                </section>

                <!-- Main content -->
                <section class="content">
                    <div class="row">

<div class="panel panel-primary">
            
                <div class="panel-body">
                    <ul class="chat">
                        <?php foreach($messages as $message) { if($message->type == 'user') { ?>
                        <li class="left clearfix"><span class="chat-img pull-left">
                            <img src="http://placehold.it/50/55C1E7/fff&text=U" alt="User Avatar" class="img-circle" />
                        </span>
                            <div class="chat-body clearfix">
                                <div class="header">
                                    <strong class="primary-font"><?php echo $message->user_name; ?></strong> <small class="pull-right text-muted">
                                        <span class="glyphicon glyphicon-time"></span><?php echo date('d/m/Y h:i:sa',strtotime($message->created_at)) ?></small>
                                </div>
                                <p>
                                    <?php echo $message->message; ?>
                                </p>
                            </div>
                        </li>

                        <?php } else { ?>
 <li class="right clearfix"><span class="chat-img pull-right">
                            <img src="http://placehold.it/50/FA6F57/fff&text=ME" alt="User Avatar" class="img-circle" />
                        </span>
                            <div class="chat-body clearfix">
                                <div class="header">
                                    <small class=" text-muted"><span class="glyphicon glyphicon-time"></span><?php echo date('d/m/Y h:i:sa',strtotime($message->created_at)) ?></small>
                                    <strong class="pull-right primary-font">Admin</strong>
                                </div>
                                <p><?php echo $message->message; ?>
                                </p>
                            </div>
                        </li>
                        <?php } } ?>
                    
                    </ul>
                </div>
                <div class="panel-footer">
                     <form action="<?php echo site_url('adminpanel/addadminmessage') ?>" method="post">
                    <div class="input-group">
                       
                            
                        <input id="btn-input" name="admin_message"  value= "<?php echo set_value('admin_message'); ?>" type="text" class="form-control input-sm" placeholder="Type your message here..." />
                        <span class="input-group-btn">
                            <input type="hidden" name="user_id" value="<?php echo $this->uri->segment(3) ?>">
                            <button type="submit" class="btn btn-warning btn-sm" id="btn-chat">
                                Send</button>
                        </span>
                    </div>
                </form>
                </div>
            </div>
                    </div>
                    <!-- Main row -->
                </section><!-- /.content -->
           
        </div><!-- /.content-wrapper -->
      
      <?php $this->load->view('layouts/footer') ?>