<?php $this->load->view('layouts/header') ?>
<?php $this->load->view('layouts/sidemenu') ?>

      <!-- Content Wrapper. Contains page content -->
      <div class="content-wrapper">
        <!-- Content Header (Page header) -->
        <section class="content-header">
          <h1>
            <?php echo $this->lang->line("Admin");?>
            <small><?php echo "Messages";?></small>
          </h1>
        </section>

        <!-- Main content -->
        <section class="content">
          <!-- Small boxes (Stat box) -->
          <?php echo $this->session->flashdata("message"); ?>
           <div class="box">
             <div class="box-header with-border">
                <h3 class="box-title"><?php echo "All Messages";?></h3>
                
            </div>
          <div class="box-body">
                <div class="table-responsive">
          
          <table class="table table-bordered table-striped" id="catTab">
                <thead>
                <tr>
                    <th><?php echo 'User';?></th>
                    <th><?php echo "Message";?></th> 
                    <th><?php echo "Time";?>  </th>
                    <th><?php echo "Actions";?></th>
                    
                </tr>
                </thead>
          <tbody>
          <?php
          foreach($messages as $user)
          {
            
            ?>
           
                <tr>
                    
                    <td><?php echo $user->user_name; ?></td>
                    <td><?php echo $user->message; ?></td> 
                    <td><?php echo $user->created_at; ?></td>
                  
                    <td><div class="button-group"> <?php echo anchor('adminpanel/view_messages/'.$user->user_id, '<i class="fa fa-envelope"></i>', array("class"=>"btn btn-success")); ?></div></td>
                    
                </tr>
            <?php
          }
          ?>
          </tbody>  
          </table>  
       
 </div><!-- /.box-body -->

            </div>
          </div>
        </section><!-- /.content -->
      </div><!-- /.content-wrapper -->
      
     <?php $this->load->view('layouts/footer') ?>
     <script>
     
    $('#catTab').DataTable({
        "paging": true,
        "lengthChange": false,
        "searching": true,
        "ordering": true,
        "info": true,
        "autoWidth": false
    });
</script>